Bug 1303254 - Provide a Health Check Tool
Provide a Health Check Tool
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pki-core (Show other bugs)
7.3
Unspecified Unspecified
high Severity unspecified
: rc
: ---
Assigned To: Ade Lee
Asha Akkiangady
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-29 18:09 EST by Matthew Harmsen
Modified: 2017-08-31 00:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Harmsen 2016-01-29 18:09:27 EST
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/pki/ticket/1712

Currently the SystemCertsVerification can only be executed by starting up the server. To simplify troubleshooting issues with system certificates (e.g. ticket #1697) it would be nice to refactor the code such that the selftest can also be executed as a standalone program, for example:

{{{
$ pki-server ca-selftest-run
}}}

The CLI will be easier to connect to a debugger and the scope of the investigation will be much smaller.
Comment 2 Matthew Harmsen 2016-04-21 11:56:30 EDT
This bug was originally entitled "Running SystemCertsVerification from CLI", and it was determined that this functionality would be merged into a new health check tool instead.

Consequently, as no corresponding Bugzilla Bug existed for this health check tool, this bug was renamed to "Provide a Health Check Tool"
Comment 3 Matthew Harmsen 2016-04-21 11:57:53 EDT
Per CS Bug/Ticket Triage held 04/19/2016:  RHEL 7.4
Comment 4 Matthew Harmsen 2017-04-06 17:17:05 EDT
Per PKI Bug Council of 04/05/2017:   7.5

Note You need to log in before you can comment on or make changes to this bug.